Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSModelGroupImpl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSModelGroupImpl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSModelGroup, weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSTerm

Deprecated. please use JDK supplied XML parsers and transformers

public class XSModelGroupImpl
extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSModelGroup

Store schema model group declaration.

Field Summary
`short` | `fCompositor` Deprecated.
`int` | `fParticleCount` Deprecated.
`XSParticleDecl[]` | `fParticles` Deprecated.
`static short` | `MODELGROUP_ALL` Deprecated.
`static short` | `MODELGROUP_CHOICE` Deprecated.
`static short` | `MODELGROUP_SEQUENCE` Deprecated.

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSModelGroup
`COMPOSITOR_ALL, COMPOSITOR_CHOICE, COMPOSITOR_SEQUENCE`

Constructor Summary
`XSModelGroupImpl()` Deprecated.

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getCompositor()` Deprecated. {compositor} One of all, choice or sequence.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getParticles()` Deprecated. {particles} A list of particles
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isEmpty()` Deprecated.
`int` | `maxEffectiveTotalRange()` Deprecated.
`int` | `minEffectiveTotalRange()` Deprecated. 3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle.
`void` | `reset()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fCompositor

    public short fCompositor

  Deprecated.

### fParticleCount

    public int fParticleCount

  Deprecated.

### fParticles

    public XSParticleDecl[] fParticles

  Deprecated.

### MODELGROUP_ALL

    public static final short MODELGROUP_ALL

  Deprecated.
  See Also:
    Constant Field Values

### MODELGROUP_CHOICE

    public static final short MODELGROUP_CHOICE

  Deprecated.
  See Also:
    Constant Field Values

### MODELGROUP_SEQUENCE

    public static final short MODELGROUP_SEQUENCE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### XSModelGroupImpl

    public XSModelGroupImpl()

  Deprecated.

Method Detail

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModelGroup`

### getCompositor

    public short getCompositor()

  Deprecated.
  {compositor} One of all, choice or sequence. The valid constants values are: ALL, CHOICE, SEQUENCE.

  Specified by:
    `getCompositor` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModelGroup`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getParticles

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getParticles()

  Deprecated.
  {particles} A list of particles

  Specified by:
    `getParticles` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModelGroup`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### isEmpty

    public boolean isEmpty()

  Deprecated.

### maxEffectiveTotalRange

    public int maxEffectiveTotalRange()

  Deprecated.

### minEffectiveTotalRange

    public int minEffectiveTotalRange()

  Deprecated.
  3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle. They are not exactly the same as it's described in the spec, but all the values from the spec are retrievable by these methods.

### reset

    public void reset()

  Deprecated.

### toString

    public String toString()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD